<?php

namespace Database\Seeders;

use App\Models\Participant;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Sequence;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        Participant::factory(100)
            ->sequence(fn (Sequence $sequence) => [
                'id' => $sequence->index + 1,
                'user_id' => $sequence->index + 1,
            ])
            ->create();
    }
}
